net.minecraft.world.chunk.storage

## Class AnvilSaveConverter

- java.lang.Object
- - net.minecraft.world.storage.SaveFormatOld
  - - net.minecraft.world.chunk.storage.AnvilSaveConverter

- All Implemented Interfaces:
    ISaveFormat

      public class AnvilSaveConverter
      extends SaveFormatOld

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.storage.SaveFormatOld

      `savesDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilSaveConverter(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `convertMapFormat(java.lang.String par1Str, IProgressUpdate par2IProgressUpdate)`
    `void` | `flushCache()`
    `java.util.List` | `getSaveList()`
    `ISaveHandler` | `getSaveLoader(java.lang.String par1Str, boolean par2)`
    `protected int` | `getSaveVersion()`
    `boolean` | `isOldMapFormat(java.lang.String par1Str)`

    - ### Methods inherited from class net.minecraft.world.storage.SaveFormatOld

      `canLoadWorld, deleteFiles, deleteWorldDirectory, getWorldInfo, renameWorld`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnvilSaveConverter

          public AnvilSaveConverter(java.io.File par1File)

  - ### Method Detail

    - #### getSaveList

          public java.util.List getSaveList()
                                     throws AnvilConverterException

      Specified by:
        `getSaveList` in interface `ISaveFormat`
      Overrides:
        `getSaveList` in class `SaveFormatOld`
      Throws:
        `AnvilConverterException`

    - #### getSaveVersion

          protected int getSaveVersion()

    - #### flushCache

          public void flushCache()

      Specified by:
        `flushCache` in interface `ISaveFormat`
      Overrides:
        `flushCache` in class `SaveFormatOld`

    - #### getSaveLoader

          public ISaveHandler getSaveLoader(java.lang.String par1Str,
                                   boolean par2)

      Specified by:
        `getSaveLoader` in interface `ISaveFormat`
      Overrides:
        `getSaveLoader` in class `SaveFormatOld`

    - #### isOldMapFormat

          public boolean isOldMapFormat(java.lang.String par1Str)

      Specified by:
        `isOldMapFormat` in interface `ISaveFormat`
      Overrides:
        `isOldMapFormat` in class `SaveFormatOld`

    - #### convertMapFormat

          public boolean convertMapFormat(java.lang.String par1Str,
                                 IProgressUpdate par2IProgressUpdate)

      Specified by:
        `convertMapFormat` in interface `ISaveFormat`
      Overrides:
        `convertMapFormat` in class `SaveFormatOld`